import { IPersistable, IPersistence } from '@darlean/base';
export declare function expectError(handler: () => Promise<unknown>): Promise<Error | undefined>;
export declare class TestActor<T extends object> {
    actor: T;
    proxy: T;
    preDelay?: number;
    postDelay?: number;
    disconnected?: boolean;
    constructor(actor: T);
    protected handleCall(name: string, args: unknown): Promise<unknown>;
}
export interface IEchoActor {
    echo(value: string): Promise<string>;
    getLastValue(): Promise<string | undefined>;
}
export declare class EchoActor implements IEchoActor {
    protected last: IPersistable<string>;
    protected store: boolean;
    constructor(persistence: IPersistence<string>, defaultLast?: string, store?: boolean);
    echo(value: string): Promise<string>;
    getLastValue(): Promise<string | undefined>;
    activate(): Promise<void>;
    deactivate(): Promise<void>;
}
export interface IErrorActor {
    error(msg: string): Promise<void>;
}
export declare class ErrorActor implements IErrorActor {
    error(msg: string): Promise<void>;
}
